SendSend a batch of emails

Send a batch of emails

Send up to 1000 emails in a single request. Each email is processed independently — individual failures do not fail the entire batch. Each successful email deducts 1 credit.

curl -X POST "https://api.supasend.io/v1/send/batch" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "emails": [
    {
      "mailbox_id": "507f1f77bcf86cd799439011",
      "ip_id": "65f1c8a2b3d4e5f607890abc",
      "to": "recipient@example.com",
      "subject": "Hello from SupaSend",
      "body_html": "<h1>Hello!</h1><p>This is a test email.</p>",
      "body_text": "Hello! This is a test email.",
      "reply_to": "user@example.com",
      "headers": {}
    }
  ]
}'
{
  "results": [
    {
      "to": "user@example.com",
      "id": "example_string",
      "status": "queued",
      "error": "example_string"
    }
  ],
  "total": 5
}
POST
/v1/send/batch
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key in the format sk_live_<64 hex characters>

API key in the format sk_live_<64 hex characters>
Content-Typestring
Required

The media type of the request body

Options: application/json
Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. API key in the format sk_live_\<64 hex characters\>

Body

application/json

Responses